#4587 Scheduler Don't work after JBoss restart

R2.6.1
closed
8
2007-10-04
2007-09-25
contract16
No

We are facing issue with schedulers not starting if jboss is restarted.

Steps to reporoduce:
1. Define a schedule for running every 5 mins.
2. Define a scheduler to execute a process and use the schedule of running after every 5 mins.
3. If we start JBoss for first time, it will start the scheduler to execute process after 5 mins.

Say we started the Jboss as 3:00pm
Process was executed at 3:05pm, 3:10pm, ...
Now at 3:57pm I shut down the server. And restarted the server at 4:03pm. That means the scheduler should have executed the process at 4:05pm. But it did not start the scheduler process and Next Run time still shows 4:00pm

Regards,
Uma

Discussion

  • contract16

    contract16 - 2007-09-25
    • priority: 5 --> 8
     
  • Kai Egbert

    Kai Egbert - 2007-09-26
    • assigned_to: kmpink --> kviiksaar
    • status: open --> pending
     
  • Kai Egbert

    Kai Egbert - 2007-09-26

    Logged In: YES
    user_id=1784380
    Originator: NO

    Hi Uma,
    I was not able to reproduce this on 2.6.3. This problem seems to be fixed already in this release.

    Can you please check with 2.6.3 if the scheduler dies if next run is in the past?

    Can you also try to check on GardenWorld the following steps with 2.6.3?
    - create a new Schedule for every 5 Minutes.
    - create a new Scheduler using the above Schedule and the process AD_NoteDelete
    - test if this Scheduler works correct for your issue

    Thanks,
    Kai

     
  • SourceForge Robot

    Logged In: YES
    user_id=1312539
    Originator: NO

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 7 days (the time period specified by
    the administrator of this Tracker).

     
  • SourceForge Robot

    • status: pending --> closed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks